#!/bin/sh
-# $id$
+# $Id: test1.sh,v 1.3 2004-06-15 09:43:27 adam Exp $
pp=${srcdir:-"."}
else
exit 0
fi
-../../index/zebraidx -c $pp/zebra.cfg -l$LOG update *.xml
+../../index/zebraidx -c $pp/zebra.cfg -l$LOG update $pp/*.xml
../../index/zebrasrv -c $pp/zebra.cfg -l$LOG unix:socket &
sleep 1
../api/testclient unix:socket '@term string æ' >tmp1
else
exit 0
fi
-../../index/zebraidx -c $pp/zebra.cfg -l$LOG update *.xml
+../../index/zebraidx -c $pp/zebra.cfg -l$LOG update $pp/*.xml
../../index/zebrasrv -c $pp/zebra.cfg -l$LOG unix:socket &
sleep 1
# search for UNICODE 1E25 - letter h with dot below
# Simple Zebra configuration file
-# $Id: zebra.cfg,v 1.1 2004-03-09 15:12:15 adam Exp $
+# $Id: zebra.cfg,v 1.2 2004-06-15 09:43:30 adam Exp $
#
# Where the schema files, attribute files, etc are located.
-profilePath: .:../../tab
+profilePath: ${srcdir:-.}:${srcdir:-.}/../../tab
+
# Files that describe the attribute sets supported.
attset: bib1.att
#!/bin/sh
-# $Id: test1.sh,v 1.3 2004-06-15 08:06:34 adam Exp $
+# $Id: test1.sh,v 1.4 2004-06-15 09:43:30 adam Exp $
pp=${srcdir:-"."}
LOG=test1.log
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG update g.rec
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG update $pp/g.rec
#!/bin/sh
-# $Id: test2.sh,v 1.3 2004-06-15 08:06:34 adam Exp $
+# $Id: test2.sh,v 1.4 2004-06-15 09:43:30 adam Exp $
pp=${srcdir:-"."}
if ../../index/zebraidx -c $pp/zebra.cfg -l $LOG -V|grep Tcl >/dev/null; then
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init
- ../../index/zebraidx -c $pp/zebra.cfg -l $LOG -s -t grs.tcl.m update m.rec | grep tag:dc:subject >/dev/null
+ ../../index/zebraidx -c $pp/zebra.cfg -l $LOG -s -t grs.tcl.m update $pp/m.rec | grep tag:dc:subject >/dev/null
else
exit 0
fi
#!/bin/sh
-# $Id: test1.sh,v 1.8 2004-06-15 08:06:34 adam Exp $
+# $Id: test1.sh,v 1.9 2004-06-15 09:43:30 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
echo "initializing..." >>$LOG
-mkdir -p reg
-rm -f records/esdd000[12].grs # these should not be here, will be created later
+test -d reg || mkdir reg
+rm -f $pp/records/esdd000[12].grs # these should not be here, will be created later
../../index/zebraidx -l $LOG -c $pp/zebra1.cfg init || exit 1
echo "updating..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update $pp/records || exit 1
echo "killing old server (if any)..." >>$LOG
test -f zebrasrv.pid && kill `cat zebrasrv.pid`
grep "^Result count: 9$" log >/dev/null || exit 1
echo "reindexing..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update $pp/records || exit 1
echo "search 5..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
#!/bin/sh
-# $Id: test2.sh,v 1.8 2004-06-15 08:06:34 adam Exp $
+# $Id: test2.sh,v 1.9 2004-06-15 09:43:30 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
echo "init..." >>$LOG
-rm -f records/esdd000[12].grs # these should not be here, will be created later
+rm -f $pp/records/esdd000[12].grs # these should not be here, will be created later
../../index/zebraidx -l $LOG -c $pp/zebra2.cfg init || exit 1
echo "update 1..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "update 2..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "killing old server (if any)..." >>$LOG
test -f zebrasrv.pid && kill -9 `cat zebrasrv.pid`
grep "^Result count: 9$" log >/dev/null || exit 1
echo "update 3..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "search 2..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 9$" log >/dev/null || exit 1
echo "making test records..." >>$LOG
-cp records/esdd0006.grs records/esdd0001.grs
+cp $pp/records/esdd0006.grs $pp/records/esdd0001.grs
echo "indexing them..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "search 3..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 10$" log >/dev/null || exit 1
-touch records/esdd0001.grs
+touch $pp/records/esdd0001.grs
echo "indexing again..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "search 4..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 10$" log >/dev/null || exit 1
echo "making another test record..." >>$LOG
-mv records/esdd0001.grs records/esdd0002.grs
+mv $pp/records/esdd0001.grs $pp/records/esdd0002.grs
echo "indexing it too..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo "search 5..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
sleep 1
echo "modifying a test record..." >>$LOG
-sed 's/UTAH/XYZ/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/UTAH/XYZ/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
echo "indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 1
echo "search 6..." >>$LOG
test -f zebrasrv.pid || exit 1
kill `cat zebrasrv.pid` || exit 1
rm -f log
-rm -f records/esdd000[12].grs
+rm -f $pp/records/esdd000[12].grs
rm -f zebrasrv.pid
#!/bin/sh
-# $Id: test3.sh,v 1.3 2004-06-15 08:06:34 adam Exp $
+# $Id: test3.sh,v 1.4 2004-06-15 09:43:30 adam Exp $
# Testing searches with lots of @and operators
# in order to test the fast-forward operation of rsets
../../index/zebraidx -l $LOG -c $pp/zebra1.cfg init || exit 1
echo "updating..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update $pp/records || exit 1
echo "starting server..." >>$LOG
../../index/zebrasrv -S -c $pp/zebra1.cfg $DBG -l $LOG tcp:@:9901 &
#!/bin/sh
-# $Id: timing1.sh,v 1.8 2004-06-15 08:06:34 adam Exp $
+# $Id: timing1.sh,v 1.9 2004-06-15 09:43:30 adam Exp $
# tests that updates are reflected immediately # in the registers.
# Repeatedly modifies a record and counts hits.
# Test 1: with good sleeps in every between - should pass always
rm -f $LOG
echo " init..." >>$LOG
-rm -f records/esdd000[12].grs # these should not be here, will be created later
+rm -f $pp/records/esdd000[12].grs # these should not be here, will be created later
../../index/zebraidx -c $pp/zebra2.cfg -l $LOG init || exit 1
echo " killing old server (if any)..." >>$LOG
sleep 2
echo " update 1..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 1..." >>$LOG
sleep 2
echo "making a test record..." >>$LOG
-cp records/esdd0006.grs records/esdd0002.grs
+cp $pp/records/esdd0006.grs $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 2..." >>$LOG
sleep 2
echo " 1a: modifying a test record (xyz)..." >>$LOG
-sed 's/UTAH/XYZ/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/UTAH/XYZ/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 3..." >>$LOG
sleep 2
echo " 1b: modifying the test record back (utah)..." >>$LOG
-sed 's/XYZ/UTAH/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/XYZ/UTAH/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 4..." >>$LOG
sleep 2
echo " 2a: modifying the test record (xyz)..." >>$LOG
-sed 's/UTAH/XYZ/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/UTAH/XYZ/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 5..." >>$LOG
sleep 2
echo " 2b: modifying the test record back (utah)..." >>$LOG
-sed 's/XYZ/UTAH/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/XYZ/UTAH/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
sleep 2
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 6..." >>$LOG
sleep 2
echo " 3a: modifying the test record (xyz)..." >>$LOG
-sed 's/UTAH/XYZ/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/UTAH/XYZ/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
sleep 2
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 7..." >>$LOG
sleep 2
echo " 3b: modifying the test record back (utah)..." >>$LOG
-sed 's/XYZ/UTAH/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
+sed 's/XYZ/UTAH/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
sleep 2
echo " search 8..." >>$LOG
test -f zebrasrv.pid || exit 1
kill `cat zebrasrv.pid` || exit 1
rm -f log
-rm -f records/esdd000[12].grs
+rm -f $pp/records/esdd000[12].grs
rm -f zebrasrv.pid
#!/bin/sh
-# $Id: timing2.sh,v 1.8 2004-06-15 08:06:34 adam Exp $
+# $Id: timing2.sh,v 1.9 2004-06-15 09:43:30 adam Exp $
# Demonstrated that updates depend on file timestamps
pp=${srcdir:-"."}
echo " init..." >>$LOG
rm -f log timeref[12]
-rm -f records/esdd000[12].grs # these should not be here, will be created later
+rm -f $pp/records/esdd000[12].grs # these should not be here, will be created later
../../index/zebraidx -c $pp/zebra2.cfg -l $LOG init || exit 1
touch timeref1 # make an early timestamp
touch timeref2 # make a later timestamp
echo " update 1..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo " search 1..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 9$" log >/dev/null || exit 1
echo "making a test record..." >>$LOG
-cp records/esdd0006.grs records/esdd0002.grs
-touch -r timeref1 records/esdd0002.grs
+cp $pp/records/esdd0006.grs $pp/records/esdd0002.grs
+touch -r timeref1 $pp/records/esdd0002.grs
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo " search 2..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 10$" log >/dev/null || exit 1
echo " modifying a test record (xyz)..." >>$LOG
-sed 's/UTAH/XYZ/g' <records/esdd0002.grs >records/esdd0002x.grs
-mv records/esdd0002x.grs records/esdd0002.grs
-touch -r timeref1 records/esdd0002.grs # reset timestamp to 'early'
+sed 's/UTAH/XYZ/g' <$pp/records/esdd0002.grs >$pp/records/esdd0002x.grs
+mv $pp/records/esdd0002x.grs $pp/records/esdd0002.grs
+touch -r timeref1 $pp/records/esdd0002.grs # reset timestamp to 'early'
echo " not indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo " search 3..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
grep "^Result count: 10$" log >/dev/null || exit 1
echo " touching its timestamp..." >>$LOG
-touch -r timeref2 records/esdd0002.grs # set timestamp to 'late'
+touch -r timeref2 $pp/records/esdd0002.grs # set timestamp to 'late'
echo " indexing it..." >>$LOG
-../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra2.cfg update $pp/records || exit 1
echo " search 4..." >>$LOG
../api/testclient localhost:9901 "@attr 1=4 utah" > log || exit 1
test -f zebrasrv.pid || exit 1
kill `cat zebrasrv.pid` || exit 1
rm -f log timeref[12]
-rm -f records/esdd000[12].grs
+rm -f $pp/records/esdd000[12].grs
rm -f zebrasrv.pid
#!/bin/sh
-# $Id: test1.sh,v 1.4 2004-06-15 08:06:34 adam Exp $
+# $Id: test1.sh,v 1.5 2004-06-15 09:43:32 adam Exp $
pp=${srcdir:-"."}
else
exit 0
fi
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG update f1.xml
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG update $pp/f1.xml
#!/bin/sh
-# $Id: test1.sh,v 1.3 2004-06-15 08:06:34 adam Exp $
+# $Id: test1.sh,v 1.4 2004-06-15 09:43:33 adam Exp $
pp=${srcdir:-"."}
else
exit 0
fi
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG $DBG update m*.xml
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG $DBG update $pp/m*.xml
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG $DBG unix:socket &
sleep 1
../api/testclient unix:socket '@and @attr 1=1003 jack @attr 1=4 computer' >tmp1
#!/bin/sh
-# $Id: test2.sh,v 1.2 2004-06-15 08:06:34 adam Exp $
+# $Id: test2.sh,v 1.3 2004-06-15 09:43:33 adam Exp $
pp=${srcdir:-"."}
LOG=test2.log
rm -f $LOG
../../index/zebraidx -c $pp/zebra.cfg -l$LOG init
-../../index/zebraidx -c $pp/zebra.cfg -l$LOG -t grs.marcxml.record update sample-marc
+../../index/zebraidx -c $pp/zebra.cfg -l$LOG -t grs.marcxml.record update $pp/sample-marc
../../index/zebrasrv -c $pp/zebra.cfg -l$LOG unix:socket &
sleep 1
../api/testclient unix:socket '@and @attr 1=1003 jack @attr 1=4 computer' >tmp1
# Simple Zebra configuration file
-# $Id: zebra.cfg,v 1.1 2003-10-07 09:18:56 adam Exp $
+# $Id: zebra.cfg,v 1.2 2004-06-15 09:43:33 adam Exp $
#
# Where the schema files, attribute files, etc are located.
-profilePath: .:../../tab
+profilePath: ${srcdir:-.}:${srcdir:-.}/../../tab
# Files that describe the attribute sets supported.
attset: bib1.att
#!/bin/sh
-# $Id: test1.sh,v 1.3 2004-06-15 08:06:34 adam Exp $
+# $Id: test1.sh,v 1.4 2004-06-15 09:43:33 adam Exp $
pp=${srcdir:-"."}
test -d lock || mkdir lock
test -d register || mkdir register
../../index/zebraidx -c $pp/zebra.cfg -l$LOG init
-../../index/zebraidx -c $pp/zebra.cfg -l$LOG update records/*marc
+../../index/zebraidx -c $pp/zebra.cfg -l$LOG update $pp/records/*marc
../../index/zebrasrv -c $pp/zebra.cfg -l$LOG unix:socket &
sleep 1
# search text located in first record 600 $a
# Simple Zebra configuration file that defines
# Database with RUSMARC records.
-# $Id: zebra.cfg,v 1.2 2003-11-09 11:56:06 oleg Exp $
+# $Id: zebra.cfg,v 1.3 2004-06-15 09:43:33 adam Exp $
#
# Where are the config files located?
-profilePath: .:./tab:../../tab:../../../yaz/tab
+profilePath: ${srcdir:-.}/tab:${srcdir:-.}/../../tab
# Files that describe the attribute sets supported.
attset: bib1.att
#!/bin/sh
-# $Id: test1.sh,v 1.6 2004-06-15 08:06:35 adam Exp $
+# $Id: test1.sh,v 1.7 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
mkdir reg
rm -fr recs
mkdir recs
-cp rec*.xml recs
+cp $pp/rec*.xml recs
../../index/zebraidx -c $pp/zebra.cfg -l $LOG update recs || exit 1
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG unix:socket &
sleep 1
# Simple Zebra configuration file
-# $Id: zebra.cfg,v 1.1 2002-12-10 12:54:24 adam Exp $
+# $Id: zebra.cfg,v 1.2 2004-06-15 09:43:34 adam Exp $
#
# Where the schema files, attribute files, etc are located.
-profilePath: .:../../tab
+profilePath: ${srcdir:-.}:${srcdir:-.}/../../tab
# Files that describe the attribute sets supported.
attset: bib1.att
# Simple zebra configuration file to demonstate the usage of xelm directive
-profilePath: .:../../tab
+profilePath: ${srcdir:-.}/../../tab
attset: bib1.att
attset: explain.att
#!/bin/sh
-# $Id: simple1.sh,v 1.3 2003-05-21 14:39:23 adam Exp $
+# $Id: simple1.sh,v 1.4 2004-06-15 09:43:34 adam Exp $
# test with one simple sgml record
+pp=${srcdir:-"."}
+
LOG=simple1.log
-../../index/zebraidx -l $LOG init || exit 1
-../../index/zebraidx -l $LOG update simple1.xml || exit 1
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG update $pp/simple1.xml || exit 1
echo "Starting server " >> $LOG
-../../index/zebrasrv -l $LOG -S unix:socket &
+../../index/zebrasrv -c $pp/zebra.cfg -l $LOG -S unix:socket &
sleep 1
test -f zebrasrv.pid || exit 2
#!/bin/sh
-# $Id: test1.sh,v 1.4 2004-06-15 08:06:35 adam Exp $
+# $Id: test1.sh,v 1.5 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
LOG=test1.log
rm -f $LOG
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update rec.xml || exit 2
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update $pp/rec.xml || exit 2
#!/bin/sh
-# $Id: test2.sh,v 1.4 2004-06-15 08:06:35 adam Exp $
+# $Id: test2.sh,v 1.5 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
rm -f $TMP
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update rec.xml || exit 2
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update $pp/rec.xml || exit 2
test -f dict*.mf || exit 1
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG -S unix:socket &
sleep 1
#!/bin/sh
-# $Id: test3.sh,v 1.4 2004-06-15 08:06:35 adam Exp $
+# $Id: test3.sh,v 1.5 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
rm -f $TMP
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update rec.xml || exit 2
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update $pp/rec.xml || exit 2
test -f dict*.mf || exit 1
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG -S unix:socket &
sleep 1
#!/bin/sh
-# $Id: test4.sh,v 1.2 2004-06-15 08:06:35 adam Exp $
+# $Id: test4.sh,v 1.3 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
rm -f $TMP
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update rec4.xml || exit 2
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update $pp/rec4.xml || exit 2
test -f dict*.mf || exit 1
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG -S unix:socket &
sleep 1
#!/bin/sh
-# $Id: test5.sh,v 1.2 2004-06-15 08:06:35 adam Exp $
+# $Id: test5.sh,v 1.3 2004-06-15 09:43:34 adam Exp $
pp=${srcdir:-"."}
rm -f $LOG
rm -f $TMP.*
../../index/zebraidx -c $pp/zebra.cfg -l $LOG init || exit 1
-../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update rec5.xml || exit 2
+../../index/zebraidx -c $pp/zebra.cfg -l $LOG -t grs.sgml update $pp/rec5.xml || exit 2
test -f dict*.mf || exit 1
../../index/zebrasrv -c $pp/zebra.cfg -l $LOG $DBG -S unix:socket &
sleep 1
-# $Id: zebra.cfg,v 1.3 2004-02-09 17:44:49 heikki Exp $
-profilePath: .:../../tab
+# $Id: zebra.cfg,v 1.4 2004-06-15 09:43:34 adam Exp $
+profilePath: ${srcdir:-.}/../../tab
recordType: grs.sgml
attset: bib1.att
#!/bin/sh
-# $Id: testall.sh,v 1.3 2004-06-15 08:06:36 adam Exp $
+# $Id: testall.sh,v 1.4 2004-06-15 09:43:34 adam Exp $
# run all zebrash tests
pp=${srcdir:-"."}
test -d reg || mkdir reg
rm -f *.mf reg/*.mf *.out
-for F in *.zsh
+for F in $pp/*.zsh
do
echo $F
../../index/zebrash -c $pp/zebra.cfg <$F >$F.out
-# $Id: zebra.cfg,v 1.2 2004-01-22 11:27:22 adam Exp $
+# $Id: zebra.cfg,v 1.3 2004-06-15 09:43:34 adam Exp $
# A fairly minimal zebra.cfg
-profilepath: ../../tab
+profilePath: ${srcdir:-.}/../../tab
register: reg:100M
lockDir: reg